package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageData;
import com.koobietech.eas.mbg.model.EasEduCategory;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface EasEduCategoryService {

    int addEasEduCategory( EasEduCategory easEduCategory );

    int updateEasEduCategory( EasEduCategory easEduCategory );

    int deleteById(int id);

    EasEduCategory selectById( Integer id );

    List<EasEduCategory> selectAll();

    PageData selectByCondition(EasEduCategory easEduCategory );

}
